Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.mail.smime
Class SMIMECompressedParser

    java.lang.Object
      org.bouncycastle.cms.CMSContentInfoParser
          org.bouncycastle.cms.CMSCompressedDataParser
              org.bouncycastle.mail.smime.SMIMECompressedParser

    public class SMIMECompressedParser

extends CMSCompressedDataParser

Stream based containing class for an S/MIME pkcs7-mime compressed MimePart.

Field Summary

Fields inherited from class org.bouncycastle.cms.CMSContentInfoParser
`_contentInfo, _data`

Constructor Summary
`SMIMECompressedParser(MimeBodyPart message)`
`SMIMECompressedParser(MimeBodyPart message, int bufferSize)` Create a parser from a MimeBodyPart using the passed in buffer size for reading it.
`SMIMECompressedParser(MimeMessage message)`
`SMIMECompressedParser(MimeMessage message, int bufferSize)` Create a parser from a MimeMessage using the passed in buffer size for reading it.

Method Summary
`MimePart` | `getCompressedContent()`

Methods inherited from class org.bouncycastle.cms.CMSCompressedDataParser
`getContent`

Methods inherited from class org.bouncycastle.cms.CMSContentInfoParser
`close`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SMIMECompressedParser

    public SMIMECompressedParser(MimeBodyPart message)
                          throws MessagingException,
                                 CMSException

Throws:
  `MessagingException`
  `CMSException`

### SMIMECompressedParser

    public SMIMECompressedParser(MimeMessage message)
                          throws MessagingException,
                                 CMSException

Throws:
  `MessagingException`
  `CMSException`

### SMIMECompressedParser

    public SMIMECompressedParser(MimeBodyPart message,
                                 int bufferSize)
                          throws MessagingException,
                                 CMSException

  Create a parser from a MimeBodyPart using the passed in buffer size for reading it.

  Parameters:
    `message` - body part to be parsed.
    `bufferSize` - bufferSoze to be used.
  Throws:
    `MessagingException`
    `CMSException`

### SMIMECompressedParser

    public SMIMECompressedParser(MimeMessage message,
                                 int bufferSize)
                          throws MessagingException,
                                 CMSException

  Create a parser from a MimeMessage using the passed in buffer size for reading it.

  Parameters:
    `message` - message to be parsed.
    `bufferSize` - bufferSoze to be used.
  Throws:
    `MessagingException`
    `CMSException`

Method Detail

### getCompressedContent

    public MimePart getCompressedContent()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD